* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* .plain-inputs {
    display: none !important;
} */

body {
    background-color: #575A5E;
    font-family: 'Roboto', sans-serif;
}

main {
    padding-inline: 1.5rem;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.app-container {
    max-width: 1400px;
    margin: 50px auto 0 auto;
    background: white;
    border-radius: 20px;
    display: flex;
    gap: 10px;
    padding: 30px 20px;
    height: 90vh;
}

.app-container__left-block {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    border-right: 1px solid black;
    padding-right: 20px;
    max-width: 400px;
    overflow-y: scroll;
    padding-bottom: 2rem;
}

.app-container__input-block {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.app-container__input-option {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.app-container__input-option label {
    font-weight: 700;
    letter-spacing: 1px;
    font-size: 1.4rem;
}

.app-container__select, .app-container__input-option input {
    padding: 15px 10px;
    font-size: 1rem;
    font-size: 1.2rem;
    letter-spacing: 1px;
    border-radius: 5px;
}

.app-container__calculate-btn {
    text-align: center;
    text-transform: uppercase;
    padding: 1rem;
    background-color: #9E0031;
    border: 2px solid #9E0031;
    color: #fff;
    font-weight: 700;
    letter-spacing: 2px;
    cursor: pointer;
    font-size: 1.3rem;
    border-radius: 5px;
    transition: 200ms ease;
}

.app-container__calculate-btn:hover {
    background-color: #fff;
    color: #9E0031;

}

.app-container__right-block {
    overflow-y: scroll;
    width: 100%;
    padding: 2rem 1rem;
}

.add_btn{
    text-align: center;
    text-transform: uppercase;
    padding: 0.6rem;
    background-color: #9E0031;
    border: 2px solid #9E0031;
    color: #fff;
    font-weight: 500;
    letter-spacing: 1px;
    cursor: pointer;
    font-size: 0.9rem;
    border-radius: 5px;
    transition: 200ms ease;
}
.add_btn:hover{
    background-color: #fff;
    color: #9E0031;
}

@media (max-width: 1050px) {
    .app-container__general-info {
        grid-template-columns: 1fr !important;
    }
}

@media (max-width: 750px) {
    .app-container {
        height: unset;
        flex-direction: column-reverse;
        margin-top: 0;
    }

    .app-container__left-block {
        max-width: unset;
        border-right: none;
        overflow-y: unset;
        padding-right: 0;
    }

    .app-container__right-block {
        overflow-y: unset;
    }
}

h1 {
    text-align: center;
    letter-spacing: 2px;
    margin-bottom: 3rem;
}

.app-container__general-info {
    display: grid;
    justify-content: center;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
}

.app-container__general-input-box {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.app-container__general-input-box input {
    padding: 0.5rem;
    font-size: 1.2rem;
    border-radius: 3px;
}

.app-container__general-input-box label {
    font-size: 1.1rem;
    font-weight: 500;
    letter-spacing: 1px;
}
